Get Dev.to podcast episode
Get a Dev.to podcast episode's audio, publish date and show notes.
Headers
Get your API keyAPI key (`sfk_...`)
Episode path, e.g. `/codenewbie/s27e8-learning-ai-matt-eland`. The episode URL is also accepted.
max 500 chars
Endpoint-specific response payload.
Whether the item was found.
one of: found, not_found
The episode when found; otherwise null.
Numeric episode id.
Episode title.
Episode URL on Dev.to.
Episode image URL.
When the episode was published.
Audio file URL. It may pass through a tracking redirect.
Episode description and show notes as HTML.
The podcast an episode belongs to.
Podcast slug, e.g. `codenewbie`.
Podcast title.
Podcast image URL.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/dev-to/podcast/episode?path=/codenewbie/s27e8-learning-ai-matt-eland" \
-H "x-api-key: YOUR_API_KEY"Responses
Podcast episode.